Bug 832736 - SystemError: (32, 'umount: /mnt/sysimage: target is busy.\n (In some cases useful info about processes that use\n the device is found by lsof(8) or fuser(1))')
SystemError: (32, 'umount: /mnt/sysimage: target is busy.\n (In some c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:0270c99e55f797b0f362f294766...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 19:24 EDT by Robert Jackson
Modified: 2013-07-31 19:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:54:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-DAg3LT (291.93 KB, text/plain)
2012-06-16 19:25 EDT, Robert Jackson
no flags Details

  None (edit)
Description Robert Jackson 2012-06-16 19:24:58 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-DAg3LT
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.i686
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Sun 17 Jun 2012 12:24:24 AM UTC
version:        17

anaconda-tb-DAg3LT: Text file, 298935 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/isys/__init__.py", line 151, in umount
:    rc = _isys.umount(what)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 682, in unmount
:    rc = isys.umount(self._mountpoint, removeDir = False)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 889, in teardown
:    return self.unmount(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devices.py", line 746, in _preTeardown
:    self.originalFormat.teardown()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devices.py", line 3053, in teardown
:    self._preTeardown(recursive=recursive)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2030, in _parseOneLine
:    device.teardown()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2112, in parseFSTab
:    device = self._parseOneLine((devspec, mountpoint, fstype, options, dump, passno))
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1676, in mountExistingSystem
:    fsset.parseFSTab(anaconda=anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/upgrade.py", line 178, in upgradeMountFilesystems
:    mountExistingSystem(anaconda, anaconda.upgradeRoot[0], allowDirty = 0)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:SystemError: (32, 'umount: /mnt/sysimage: target is busy.\n        (In some cases useful info about processes that use\n         the device is found by lsof(8) or fuser(1))')

environ:
:LANG=en_US.UTF-8
:LC_NUMERIC=C
:TERM=linux
:BOOT_IMAGE=vmlinuz
:XAUTHORITY=/root/.Xauthority
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=0
:PYTHONPATH=/tmp/updates
:PWD=/
:GNOME_DISABLE_CRASH_DIALOG=1
:LIBUSER_CONF=/tmp/libuser.ViyGzr
:LVM_SUPPRESS_FD_WARNINGS=1
:initrd=initrd.img
:MALLOC_PERTURB_=204
:xdriver=vesa
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:MALLOC_CHECK_=2
:DISPLAY=:1
Comment 1 Robert Jackson 2012-06-16 19:25:05 EDT
Created attachment 592363 [details]
File: anaconda-tb-DAg3LT
Comment 2 Fedora End Of Life 2013-07-03 18:12:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 19:54:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.